function [tss Asym shiftX shiftY rotation] = ABtest_one(model,allsymbol,allfilter, allfiltered)
% srcFolder : image input folder
% destFolder : destination folder

epsilon = model.epsilon;
C = corr(allfilter, epsilon);    % generate the inhibition maps
h = model.h;
sx = model.sx;
sy= model.sy;
T = model.T; 
Mi = model.Mi;
Mx = model.Mx;
My = model.My;
Mm = model.Mm;
Mm1 = model.Mm1;
Lrange = model.Lrange;
Orange = model.Orange;
sub = model.sub;
Totalsketch = model.Totalsketch;
Upperbound = model.Upperbound;
load 'nlf';

nimage = size(allfiltered,1);
norient = size(allfiltered,2);

% prepare the spaces for C code
Asym = cell(1, nimage);   % symbolic plot for each image with active Gabor
for i = 1 : nimage
    Asym{i} = zeros(size(allfiltered{1}));  
end
tss = zeros(nimage, norient);  % matching scores for testing images (templates at all orientations)


% pass on the pointers to C for heavy computation
shiftX = zeros(1,nimage);
shiftY = zeros(1,nimage);
rotation = zeros(1,nimage);
CtestEstep(nimage, norient, allfiltered, C, h, sx, sy,...
    T, Mi, Mx, My, Mm, Mm1, allsymbol(1, :), Asym,...
    Lrange, Orange, sub, Totalsketch, Upperbound,...
    tss, M, lam, e, lz, shiftX, shiftY, rotation);

for i = 1:nimage
    [tmp rotation(i)] = max(tss(i,:));
    rotation(i) = (rotation(i)-1) * 2;
end
