function im = displayImagesSymAndSketches(images, sym, Asyms, ncol,bx,by)
% display a set of images of the same size (bx,by)
n = length(images);
nrow = ceil((n+2)/ncol);
widthMargin = 5;
width = by*ncol*2 + (2*ncol-1)*widthMargin;
heightMargin = 5;
height = bx*nrow + (2*nrow-1)*heightMargin;
im = 255-zeros(height, width);
towrite =  -sym; 
towrite = (255 * (towrite-min(towrite(:)))/(max(towrite(:))-min(towrite(:))));

im(1:bx, 1:by) = towrite;

for i=1:n
    row = ceil((i+1)/ncol);
    col = i+1-(row-1)*ncol;
    startx = (row-1)*(bx+heightMargin);
    starty = (2*col-2)*(by+widthMargin);
    towrite = imresize(double(images{i}),[bx,by]);
    towrite = uint8(255 * (towrite-min(towrite(:)))/(max(towrite(:))-min(towrite(:))));
    im((startx+1):(startx+bx),(starty+1):(starty+by)) = towrite;

    starty = (2*col-1)*(by+widthMargin);
    towrite = imresize(double(Asyms{i}),[bx,by]);
    towrite = uint8(255 * (towrite-min(towrite(:)))/(max(towrite(:))-min(towrite(:))));
    im((startx+1):(startx+bx),(starty+1):(starty+by)) = 255-towrite;

end
cc=1;
% 
% for (r = 1 : row-1)
%   im(r*bx+(r-1)*(2*heightMargin+cc)+heightMargin+1:r*bx+(r-1)*(2*heightMargin+cc)+heightMargin+cc, :) = 0; 
% end
% for (c = 1 : col-1)
%   im(:, c*(by*2)+(c-1)*(2*widthMargin+cc)+widthMargin+1:c*(by*2)+(c-1)*(2*widthMargin+cc)+widthMargin+cc) = 0; 
% end

im = uint8(im);
